OneConf dramatically increase the upstart time from software center

Bug #780651 reported by Sebastian Rühl
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OneConf
Fix Released
Undecided
Unassigned
Baltix
New
Undecided
Unassigned
oneconf (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

OneConf dramatically increase the upstart time from software-center.

Now the software center mostly takes 30 seconds to start.
---
Architecture: amd64
CheckboxSubmission: 2892cad67f71a4db0df94c8bed57c940
CheckboxSystem: bb422ca46d02494cdbc459927a98bc2f
DistroRelease: Ubuntu 11.04
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
Package: oneconf 0.1.3
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=de_DE:en
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.38-9.43-generic 2.6.38.4
Tags: natty running-unity
Uname: Linux 2.6.38-9-generic x86_64
UpgradeStatus: Upgraded to natty on 2011-04-14 (26 days ago)
UserGroups: adm admin audio cdrom dialout lpadmin plugdev sambashare

Related branches

Revision history for this message
papukaija (papukaija) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please execute the following command, as it will automatically gather debugging information, in a terminal:

apport-collect 780651

When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

Changed in oneconf:
status: New → Incomplete
Changed in oneconf (Ubuntu):
status: New → Incomplete
Changed in oneconf:
status: Incomplete → New
Revision history for this message
Sebastian Rühl (sebastian-ruehl) wrote : Dependencies.txt

apport information

tags: added: apport-collected natty running-unity
description: updated
Revision history for this message
papukaija (papukaija) wrote :

Thanks for the apport logs. Do you get any error messages if you start software-center from terminal?

Revision history for this message
Sebastian Rühl (sebastian-ruehl) wrote : Re: [Bug 780651] Re: OneConf dramatically increase the upstart time from software center

$ software-center
2011-05-10 21:55:35,209 - softwarecenter.fixme - WARNING - logs to the
root logger: '('/usr/lib/pymodules/python2.7/dbus/proxies.py', 400,
'_introspect_error_handler')'
2011-05-10 21:55:35,208 - dbus.proxies - ERROR - Introspect error on
:1.863:/com/ubuntu/Softwarecenter: dbus.exceptions.DBusException:
org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible
causes include: the remote application did not send a reply, the message
bus security policy blocked the reply, the reply timeout expired, or the
network connection was broken.
Process Process-1:
Traceback (most recent call last):
   File "/usr/lib/python2.7/multiprocessing/process.py", line 258, in
_bootstrap
     self.run()
   File "/usr/lib/python2.7/multiprocessing/process.py", line 114, in run
     self._target(*self._args, **self._kwargs)
   File "/usr/share/oneconf/oneconf/uscplugin/oneconfeventhandler.py",
line 191, in really_do_rest_request
     from ubuntuone.api.restclient import RestClient
ImportError: No module named restclient
/usr/share/software-center/softwarecenter/app.py:1192: Warning:
g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
   self.window_main.show_all()
2011-05-10 21:56:02,421 - softwarecenter.fixme - WARNING - logs to the
root logger: '('/usr/lib/pymodules/python2.7/zeitgeist/client.py', 367,
'reconnect_monitors')'
2011-05-10 21:56:02,420 - zeitgeist.client - INFO - Reconnected to
Zeitgeist engine...
2011-05-10 21:56:02,509 - softwarecenter.fixme - WARNING - logs to the
root logger:
'('/usr/share/oneconf/oneconf/uscplugin/oneconfeventhandler.py', 147,
'got_newcredentials')'
2011-05-10 21:56:02,509 - root - INFO - Got credentials for Ubuntu One
/usr/share/software-center/softwarecenter/view/availablepane.py:121:
Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
   gtk.main_iteration()
/usr/share/software-center/softwarecenter/SimpleGtkbuilderApp.py:50:
Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
   gtk.main()
2011-05-10 21:56:04,197 - softwarecenter.app - INFO -
software-center-agent finished with status 1
Process Process-2:
Traceback (most recent call last):
   File "/usr/lib/python2.7/multiprocessing/process.py", line 258, in
_bootstrap
     self.run()
   File "/usr/lib/python2.7/multiprocessing/process.py", line 114, in run
     self._target(*self._args, **self._kwargs)
   File "/usr/share/oneconf/oneconf/uscplugin/oneconfeventhandler.py",
line 191, in really_do_rest_request
     from ubuntuone.api.restclient import RestClient
ImportError: No module named restclient
Process Process-3:
Traceback (most recent call last):
   File "/usr/lib/python2.7/multiprocessing/process.py", line 258, in
_bootstrap
     self.run()
   File "/usr/lib/python2.7/multiprocessing/process.py", line 114, in run
     self._target(*self._args, **self._kwargs)
   File "/usr/share/oneconf/oneconf/uscplugin/oneconfeventhandler.py",
line 191, in really_do_rest_request
     from ubuntuone.api.restclient import RestClient
ImportError: No module named restclient

Revision history for this message
Sebastian Rühl (sebastian-ruehl) wrote :

$ software-center
2011-05-10 21:55:35,209 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/pymodules/python2.7/dbus/proxies.py', 400, '_introspect_error_handler')'
2011-05-10 21:55:35,208 - dbus.proxies - ERROR - Introspect error on :1.863:/com/ubuntu/Softwarecenter: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Process Process-1:
Traceback (most recent call last):
  File "/usr/lib/python2.7/multiprocessing/process.py", line 258, in _bootstrap
    self.run()
  File "/usr/lib/python2.7/multiprocessing/process.py", line 114, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/share/oneconf/oneconf/uscplugin/oneconfeventhandler.py", line 191, in really_do_rest_request
    from ubuntuone.api.restclient import RestClient
ImportError: No module named restclient
/usr/share/software-center/softwarecenter/app.py:1192: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  self.window_main.show_all()
2011-05-10 21:56:02,421 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/pymodules/python2.7/zeitgeist/client.py', 367, 'reconnect_monitors')'
2011-05-10 21:56:02,420 - zeitgeist.client - INFO - Reconnected to Zeitgeist engine...
2011-05-10 21:56:02,509 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/share/oneconf/oneconf/uscplugin/oneconfeventhandler.py', 147, 'got_newcredentials')'
2011-05-10 21:56:02,509 - root - INFO - Got credentials for Ubuntu One
/usr/share/software-center/softwarecenter/view/availablepane.py:121: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  gtk.main_iteration()
/usr/share/software-center/softwarecenter/SimpleGtkbuilderApp.py:50: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  gtk.main()
2011-05-10 21:56:04,197 - softwarecenter.app - INFO - software-center-agent finished with status 1
Process Process-2:
Traceback (most recent call last):
  File "/usr/lib/python2.7/multiprocessing/process.py", line 258, in _bootstrap
    self.run()
  File "/usr/lib/python2.7/multiprocessing/process.py", line 114, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/share/oneconf/oneconf/uscplugin/oneconfeventhandler.py", line 191, in really_do_rest_request
    from ubuntuone.api.restclient import RestClient
ImportError: No module named restclient
Process Process-3:
Traceback (most recent call last):
  File "/usr/lib/python2.7/multiprocessing/process.py", line 258, in _bootstrap
    self.run()
  File "/usr/lib/python2.7/multiprocessing/process.py", line 114, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/share/oneconf/oneconf/uscplugin/oneconfeventhandler.py", line 191, in really_do_rest_request
    from ubuntuone.api.restclient import RestClient
ImportError: No module named restclient

Revision history for this message
Sebastian Rühl (sebastian-ruehl) wrote :

installing ubuntuone-file-storage-api seems to solve this Problem... At least now I don't get this error anymore. Maybe missing dependency?

Revision history for this message
Sebastian Rühl (sebastian-ruehl) wrote :

ok was too fast. :P
After the installation of ubuntuone-file-storage-api new error then:

$ software-center
2011-05-10 22:24:52,346 - softwarecenter.plugin - WARNING - Failed to load plugin 'oneconf_plugin' (cannot import name clientdefs)
/usr/share/software-center/softwarecenter/app.py:1192: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  self.window_main.show_all()
2011-05-10 22:24:53,154 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/pymodules/python2.7/zeitgeist/client.py', 367, 'reconnect_monitors')'
2011-05-10 22:24:53,154 - zeitgeist.client - INFO - Reconnected to Zeitgeist engine...
/usr/share/software-center/softwarecenter/SimpleGtkbuilderApp.py:50: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  gtk.main()
2011-05-10 22:24:55,801 - softwarecenter.app - INFO - software-center-agent finished with status 1

Revision history for this message
Didier Roche (didrocks) wrote :

Thanks for your bug report and help to make ubuntu better.

I think that your issue is linked to a desktopcouch one. That's what I planned to rewrap the experience from start in the oneiric cycle so that we start to use the review system backend to make a way better oneconf experience.

papukaija (papukaija)
Changed in oneconf (Ubuntu):
status: Incomplete → New
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oneconf - 0.2

---------------
oneconf (0.2) oneiric; urgency=low

  * New release:
    - move from desktopcouch to a json cache file base version, build a
      server/client protocol based on ubuntu-webcatalog (server part will be
      oneline soon). (LP: #720498, #715514, #748517)
    - adapt to latest software-center in oneiric
    - harden a lot regards to bug handling timeouts and such
      (LP: #616463, #625554, #804768, #594394)
    - optimize startup time with json and don't wait on server side sync
      (LP: #638142, #780651)
    - adapt now with ubuntu sso and triggers the login dialog on fresh
      install (LP: #674537, #708187)
  * debian/control, debian/rules:
    - we really don't depend on desktopcouch now
    - deps on ubuntu-sso-client now
    - transition to dh_python2
    - remove other deprecated deps
    - bump Standards-Version
 -- Didier Roche <email address hidden> Mon, 01 Aug 2011 12:30:21 +0200

Changed in oneconf (Ubuntu):
status: New → Fix Released
Didier Roche (didrocks)
Changed in oneconf:
status: New → Fix Released
Revision history for this message
Mantas Kriaučiūnas (mantas) wrote :

It would be nice to have this bug fixed in current stable Ubuntu version - 11.04 (Natty).
Maybe oneconf 0.2 can be installed and used to Ubuntu 11.04 (Natty)?

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers